local WEAK_MT = {__mode = "k"}
local debugObjects = setmetatable({}, WEAK_MT)
_G.__debugObjects = debugObjects
local CreateDebugObject = function(obj)
  local debug_obj = debugObjects[obj] or {}
  debugObjects[obj] = debug_obj
  return debug_obj
end
local GetDebugObject = function(obj)
  return debugObjects[obj]
end
return {Create = CreateDebugObject, Get = GetDebugObject}
